HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/vrfs/{VRF.name}/bgp_routers

Path Params
string
required

Reference Resource: VRF
VRF identifier. Should be alphanumeric. VRF names must be unique.

Body Params
boolean

If enabled, BGP will not advertise the aggregated route back to the peer, that advertises the same network If disabled, BGP will advertise the aggregated route to the peer that advertises the same network

aggregate_addresses
object

Reference Resource: Aggregate_address
Aggregate addresses keyed by the IP address and mask.

boolean

Specifies whether MED should be compared from different neighbors.

integer
required

Reference Resource: BGP_Router
BGP routers keyed by ASN value.

string
enum

Specifies the representation of Four-Octet AS Numbers in show commands. 'dotted': All the ASNs greater than 65535 should be displayed in AA.NN format. 'dotted-plus': All the ASNs irrespective of value should be displayed in AA.NN format. 'plain-text': All the ASNs should be displayed in plain-text format.

Allowed:
boolean

Specifies whether the AS path length should be ignored when determining the preferred route.

boolean

Specifies whether to consider two or more BGP routes as ecmp routes when routes AS PATH length is same but AS PATHs are different.

boolean

Specifies whether the BGP router IDs should be compared to select the best path.

boolean

Specifies whether the router should consider the MED value when choosing a path from among those advertised by different ASes within a confederation. All active BGP sessions belonging to this VRF will be restarted when this configuration is changed for it to take effect.

boolean

Specifies whether the missing MED value should be treated as 0xFFFFFFFF.

bgp_neighbors
object

Reference Resource: BGP_Neighbor
BGP neighbors keyed by IP/IFNAME or neighbor groups keyed by any string name.

string
length ≤ 15

Cluster ID of this router. Cluster-id can be a 32-bit integer in a range of 1-4294967295 or a valid IPv4 address. If no cluster-id is configured, router-id will be used.

int64
1 to 4294967295

Confederation identifier assigned to this router. This is an optional field and when its not configured Confederation identifier is not set for this router.

confederation_peers
array of integers
length ≤ 1024

Confederation peers associated with this router.

confederation_peers
dampening
object

Route flap dampening configuration parameters at the router level for all routes. Dampening can be either at the router level for all routes or for selected routes via a route-map. If 'dampening_route_map' is configured, then BGP router level dampening parameters are ignored.

dampening_route_map
object

Reference Resource: Route_Map
Route-map that specifies the criteria for route-flap dampening Dampening can be either at the router level for all routes or for selected routes via a route-map. If 'dampening_route_map' is configured, then BGP router level dampening parameters are ignored.

boolean

Specifies whether BGP should select the best-MED path among paths advertised from the neighboring AS.

integer
1 to 255

Administrative distance for ebgp routes.

boolean

Enables fast fall-over for directly connected EBGP sessions.

boolean

Specifies whether the graceful restart procedures should be performed in the event of peer or router failure.

integer
1 to 3600

Maximum time in seconds that the BGP Speaker requires to restart and establish BGP session with peers.

integer
1 to 3600

The time that the BGP Speaker will keep the peers' routes as stale.

integer
1 to 255

Administrative distance for ibgp routes.

int64
0 to 4294967295

Local preference of the routes.

boolean

Enables logging of neighbor status changes.

integer
1 to 32

Limit on the maximum AS numbers allowed in the routes learned from the peers.

maximum_paths
object

Number of paths BGP may install into the routing table.

networks
object

Networks to be announced.

networks_route_maps
object

Reference Resource: Route_Map
Route Maps to be applied to the networks.

boolean

Disable this BGP instance.

redistribute
object

Types of routes that should be redistributed by BGP.

redistribute_metric
object

Types of metric that should be redistributed by BGP.

redistribute_ospf
object

Reference Resource: OSPF_Router
OSPF routes that should be redistributed by BGP.

redistribute_ospf_metric
object

Reference Resource: OSPF_Router
OSPF metric that should be redistributed by BGP MED.

redistribute_ospf_route_map
object

Reference Resource: Route_Map
Route Maps to be applied when redistributing routes.

redistribute_route_map
object

Reference Resource: Route_Map
Route Maps to be applied when redistributing routes.

string
length ≤ 15

Router ID for the given ASN. If not configured, then highest IP address of all the loopbacks is chosen and if Loopback is also not configured then highest IP address on any interface is chosen.

timers
object
boolean

Enable SNMP trap generation for BGP related events.

boolean

Enable update-group feature. This is used to optimize the BGP route advertisement process.

Responses
201

Created

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!